tigase.server.xmppsession

## Interface SessionManagerHandler

- All Known Subinterfaces:
    SessionManagerClusteredIfc
  All Known Implementing Classes:
    JabberIqPrivacy.PrivacyListOfflineCache, SessionManager, SessionManagerClustered

      public interface SessionManagerHandler

  Describe interface SessionManagerHandler here.
  Created: Sat Feb 18 13:27:58 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMMIT_HANDLER_KEY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getComponentId()`
    `void` | `handleDomainChange(String domain, XMPPResourceConnection conn)`
    `void` | `handleLogin(BareJID userId, XMPPResourceConnection conn)`
    `void` | `handleLogout(BareJID userId, XMPPResourceConnection conn)`
    `void` | `handlePresenceSet(XMPPResourceConnection conn)`
    `void` | `handleResourceBind(XMPPResourceConnection conn)`
    `boolean` | `isLocalDomain(String domain, boolean includeComponents)`

- - ### Field Detail

    - #### COMMIT_HANDLER_KEY

          static final String COMMIT_HANDLER_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getComponentId

          JID getComponentId()

    - #### handleLogin

          void handleLogin(BareJID userId,
                           XMPPResourceConnection conn)

    - #### handleDomainChange

          void handleDomainChange(String domain,
                                  XMPPResourceConnection conn)

    - #### handleLogout

          void handleLogout(BareJID userId,
                            XMPPResourceConnection conn)

    - #### handlePresenceSet

          void handlePresenceSet(XMPPResourceConnection conn)

    - #### handleResourceBind

          void handleResourceBind(XMPPResourceConnection conn)

    - #### isLocalDomain

          boolean isLocalDomain(String domain,
                                boolean includeComponents)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.